.product {
  margin: 0;
}

.product.grid {
  gap: 0;
}

.product--no-media {
  max-width: 57rem;
  margin: 0 auto;
}

.product__media-wrapper {
  padding-left: 0;
}

@media screen and (min-width: 750px) {
  .product__column-sticky {
    display: block;
    position: sticky;
    top: 3rem;
    z-index: 2;
  }

  .product--thumbnail .thumbnail-list {
    padding-right: var(--media-shadow-horizontal-offset);
  }

  .product__info-wrapper {
    padding: 0 0 0 5rem;
  }

  .product__info-wrapper--extra-padding {
    padding: 0 0 0 8rem;
  }

  .product--right .product__info-wrapper {
    padding: 0 5rem 0 0;
  }

  .product--right .product__info-wrapper--extra-padding {
    padding: 0 8rem 0 0;
  }

  .product--right .product__media-list {
    margin-bottom: 2rem;
  }

  .product__media-container .slider-buttons {
    display: none;
  }

  .product--right .product__media-wrapper {
    order: 2;
  }
}

@media screen and (min-width: 990px) {
  .product--large:not(.product--no-media) .product__media-wrapper {
    max-width: 65%;
    width: calc(65% - var(--grid-desktop-horizontal-spacing) / 2);
  }

  .product--large:not(.product--no-media) .product__info-wrapper {
    padding: 0 0 0 4rem;
    max-width: 35%;
    width: calc(35% - var(--grid-desktop-horizontal-spacing) / 2);
  }

  .product--large:not(.product--no-media).product--right .product__info-wrapper {
    padding: 0 4rem 0 0;
  }

  .product--medium:not(.product--no-media) .product__media-wrapper,
  .product--small:not(.product--no-media) .product__info-wrapper {
    max-width: 55%;
    width: calc(55% - var(--grid-desktop-horizontal-spacing) / 2);
  }

  .product--medium:not(.product--no-media) .product__info-wrapper,
  .product--small:not(.product--no-media) .product__media-wrapper {
    max-width: 45%;
    width: calc(45% - var(--grid-desktop-horizontal-spacing) / 2);
  }
}

/* Product form */

.product-form {
  display: block;
}

.product-form__error-message-wrapper:not([hidden]) {
  display: flex;
  align-items: flex-start;
  font-size: 1.3rem;
  line-height: 1.4;
  letter-spacing: 0.04rem;
  margin-bottom: 1.5rem;
}

.product-form__error-message-wrapper .svg-wrapper {
  flex-shrink: 0;
  width: 1.5rem;
  height: 1.5rem;
  margin-right: 0.7rem;
  margin-top: 0.25rem;
}

.product-form__input {
  flex: 0 0 100%;
  padding: 0;
  margin: 0 0 1.2rem 0;
  max-width: 44rem;
  min-width: fit-content;
  border: none;
}

.product-form__input .form__label {
  padding-left: 0;
}

.product-form__input .select {
  max-width: 100%;
}

.product-form__input .svg-wrapper {
  right: 1.5rem;
}

.product-form__submit {
  margin-bottom: 1rem;
}

.product-form__submit[aria-disabled='true'],
.product-form__submit[disabled] {
  cursor: not-allowed;
  opacity: 0.5;
}

@media screen and (forced-colors: active) {
  .product-form__submit[aria-disabled='true'] {
    color: Window;
  }
}

/* Product info */

.product__info-container > * + * {
  margin: 1.5rem 0;
}

.product__info-container iframe {
  max-width: 100%;
}

.product__info-container .product-form,
.product__info-container .product__description {
  margin: 2.5rem 0;
}

.product__text {
  margin-bottom: 0;
}

a.product__text {
  display: block;
  text-decoration: none;
  color: rgba(var(--color-foreground), 0.75);
}

.product__text.caption-with-letter-spacing {
  text-transform: uppercase;
}

.product__title {
  word-break: break-word;
  margin-bottom: 1.5rem;
}

.product__title > * {
  margin: 0;
}

.product__title > a {
  display: none;
}

.product__title + .product__text.caption-with-letter-spacing {
  margin-top: -1.5rem;
}

.product__text.caption-with-letter-spacing + .product__title {
  margin-top: 0;
}

.product__accordion .accordion__content {
  padding: 0 1rem;
}

.product .price .badge {
  margin-bottom: 0.5rem;
}

.product .price__container {
  margin-bottom: 0.5rem;
}

.product .price dl {
  margin-top: 0.5rem;
  margin-bottom: 0.5rem;
}

.product .price--sold-out .price__badge-sale {
  display: none;
}

@media screen and (min-width: 750px) {
  .product__info-container {
    max-width: 60rem;
  }

  .product__info-container .price--on-sale .price-item--regular {
    font-size: 1.6rem;
  }

  .product__info-container > *:first-child {
    margin-top: 0;
  }
}

.product__description-title {
  font-weight: 600;
}

.product--no-media .product__title,
.product--no-media .product__text,
.product--no-media .product__tax,
.product--no-media .product__sku {
  text-align: center;
}

.product--no-media .product__media-wrapper,
.product--no-media .product__info-wrapper {
  padding: 0;
}

.product__tax {
  margin-top: -1.4rem;
}

.product--no-media .share-button {
  max-width: 100%;
}

.product--no-media .product-form__quantity,
.product--no-media .share-button,
.product--no-media .product__view-details,
.product--no-media .product-form {
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
}

.product--no-media .product-form {
  flex-direction: column;
}

.product--no-media .product-form > .form {
  max-width: 30rem;
  width: 100%;
}

.product--no-media .product-form__quantity {
  flex-direction: column;
  max-width: 100%;
}

.product-form__quantity .form__label {
  margin-bottom: 0.6rem;
}

.product-form__quantity-top .form__label {
  margin-bottom: 1.2rem;
}

.product-form__buttons {
  max-width: 44rem;
}

.product--no-media .price {
  text-align: center;
}

/* Product media */

.product__media-list video {
  border-radius: calc(var(--media-radius) - var(--media-border-width));
}

@media screen and (max-width: 749px) {
  .product__media-list {
    margin-left: -2.5rem;
    margin-bottom: 3rem;
    width: calc(100% + 4rem);
  }

  .product__media-wrapper slider-component:not(.thumbnail-slider--no-slide) {
    margin-left: -1.5rem;
    margin-right: -1.5rem;
  }

  .slider.product__media-list::-webkit-scrollbar {
    height: 0.2rem;
    width: 0.2rem;
  }

  .product__media-list::-webkit-scrollbar-thumb {
    background-color: rgb(var(--color-foreground));
  }

  .product__media-list::-webkit-scrollbar-track {
    background-color: rgba(var(--color-foreground), 0.2);
  }

  .product__media-list .product__media-item {
    width: calc(100% - 3rem - var(--grid-mobile-horizontal-spacing));
  }

  .product--mobile-columns .product__media-item {
    width: calc(50% - 1.5rem - var(--grid-mobile-horizontal-spacing));
  }
}

@media screen and (min-width: 750px) {
  .product--thumbnail .product__media-list,
  .product--thumbnail_slider .product__media-list {
    padding-bottom: calc(var(--media-shadow-vertical-offset) * var(--media-shadow-visible));
  }

  .product__media-list {
    padding-right: calc(var(--media-shadow-horizontal-offset) * var(--media-shadow-visible));
  }

  .product--thumbnail .product__media-item:not(.is-active),
  .product--thumbnail_slider .product__media-item:not(.is-active) {
    display: none;
  }
}

@media screen and (min-width: 750px) and (max-width: 989px) {
  .product__media-list .product__media-item:first-child {
    padding-left: 0;
  }

  .product--thumbnail_slider .product__media-list {
    margin-left: 0;
  }

  .product__media-list .product__media-item {
    width: 100%;
  }
}

.product__media-icon .icon {
  width: 1.2rem;
  height: 1.4rem;
}

.product__media-icon,
.thumbnail__badge {
  background-color: rgb(var(--color-background));
  border-radius: 50%;
  border: 0.1rem solid rgba(var(--color-foreground), 0.1);
  color: rgb(var(--color-foreground));
  display: flex;
  align-items: center;
  justify-content: center;
  height: 3rem;
  width: 3rem;
  position: absolute;
  left: 1.2rem;
  top: 1.2rem;
  z-index: 1;
  transition:
    color var(--duration-short) ease,
    opacity var(--duration-short) ease;
}

.product__media-video .product__media-icon {
  opacity: 1;
}

.product__modal-opener--image .product__media-toggle:hover {
  cursor: zoom-in;
}

.product__modal-opener:hover .product__media-icon {
  border: 0.1rem solid rgba(var(--color-foreground), 0.1);
}

@media screen and (min-width: 750px) {
  .grid__item.product__media-item--full {
    width: 100%;
  }

  .product--columns .product__media-item:not(.product__media-item--single):not(:only-child) {
    max-width: calc(50% - var(--grid-desktop-horizontal-spacing) / 2);
  }

  .product--large.product--columns .product__media-item--full .deferred-media__poster-button {
    height: 5rem;
    width: 5rem;
  }

  .product--medium.product--columns .product__media-item--full .deferred-media__poster-button {
    height: 4.2rem;
    width: 4.2rem;
  }

  .product--medium.product--columns .product__media-item--full .deferred-media__poster-button .icon {
    width: 1.8rem;
    height: 1.8rem;
  }

  .product--small.product--columns .product__media-item--full .deferred-media__poster-button {
    height: 3.6rem;
    width: 3.6rem;
  }

  .product--small.product--columns .product__media-item--full .deferred-media__poster-button .icon {
    width: 1.6rem;
    height: 1.6rem;
  }
}

@media screen and (min-width: 990px) {
  .product--stacked .product__media-item {
    max-width: calc(50% - var(--grid-desktop-horizontal-spacing) / 2);
  }

  .product:not(.product--columns) .product__media-list .product__media-item:first-child,
  .product:not(.product--columns) .product__media-list .product__media-item--full {
    width: 100%;
    max-width: 100%;
  }

  .product__modal-opener .product__media-icon {
    opacity: 0;
  }

  .product__modal-opener:hover .product__media-icon,
  .product__modal-opener:focus .product__media-icon {
    opacity: 1;
  }
}

.product__media-item > * {
  display: block;
  position: relative;
}

.product__media-toggle {
  display: flex;
  border: none;
  background-color: transparent;
  color: currentColor;
  padding: 0;
}

.product__media-toggle::after {
  content: '';
  cursor: pointer;
  display: block;
  margin: 0;
  padding: 0;
  position: absolute;
  top: calc(var(--border-width) * -1);
  right: calc(var(--border-width) * -1);
  bottom: calc(var(--border-width) * -1);
  left: calc(var(--border-width) * -1);
  z-index: 2;
}

.product__media-toggle:focus-visible {
  outline: 0;
  box-shadow: none;
}

@media (forced-colors: active) {
  .product__media-toggle:focus-visible,
  .product__media-toggle:focus-visible::after {
    outline: transparent solid 1px;
    outline-offset: 2px;
  }
}

.product__media-toggle.focused {
  outline: 0;
  box-shadow: none;
}

.product__media-toggle:focus-visible::after {
  box-shadow:
    0 0 0 0.3rem rgb(var(--color-background)),
    0 0 0 0.5rem rgba(var(--color-foreground), 0.5);
  border-radius: var(--media-radius);
}

.product__media-toggle.focused::after {
  box-shadow:
    0 0 0 0.3rem rgb(var(--color-background)),
    0 0 0 0.5rem rgba(var(--color-foreground), 0.5);
  border-radius: var(--media-radius);
}

/* Product-thumbnail snippet */

.product-media-container {
  --aspect-ratio: var(--preview-ratio);
  --ratio-percent: calc(1 / var(--aspect-ratio) * 100%);
  position: relative;
  width: 100%;
  max-width: calc(100% - calc(var(--media-border-width) * 2));
}

.product-media-container.constrain-height {
  --viewport-offset: 400px;
  --constrained-min-height: 300px;
  --constrained-height: max(var(--constrained-min-height), calc(100vh - var(--viewport-offset)));
  margin-right: auto;
  margin-left: auto;
}

.product-media-container.constrain-height.media-fit-contain {
  --contained-width: calc(var(--constrained-height) * var(--aspect-ratio));
  width: min(var(--contained-width), 100%);
}

.product-media-container .media {
  padding-top: var(--ratio-percent);
}

.product-media-container.constrain-height .media {
  padding-top: min(var(--constrained-height), var(--ratio-percent));
}

@media screen and (max-width: 749px) {
  .product-media-container.media-fit-cover {
    display: flex;
    align-self: stretch;
  }

  .product-media-container.media-fit-cover .media {
    position: initial;
  }
}

@media screen and (min-width: 750px) {
  .product-media-container {
    max-width: 100%;
  }

  .product-media-container:not(.media-type-image) {
    --aspect-ratio: var(--ratio);
  }

  .product-media-container.constrain-height {
    --viewport-offset: 170px;
    --constrained-min-height: 500px;
  }

  .product-media-container.media-fit-cover,
  .product-media-container.media-fit-cover .product__modal-opener,
  .product-media-container.media-fit-cover .media {
    height: 100%;
  }

  .product-media-container.media-fit-cover .deferred-media__poster img {
    object-fit: cover;
    width: 100%;
  }
}

.product-media-container .product__modal-opener {
  display: block;
  position: relative;
}

@media screen and (min-width: 750px) {
  .product-media-container .product__modal-opener:not(.product__modal-opener--image) {
    display: none;
  }
}

/* Product media modal */

.product-media-modal {
  background-color: rgb(var(--color-background));
  height: 100%;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  visibility: hidden;
  opacity: 0;
  z-index: -1;
}

.product-media-modal[open] {
  visibility: visible;
  opacity: 1;
  z-index: 101;
}

.product-media-modal__dialog {
  display: flex;
  align-items: center;
  height: 100vh;
}

.product-media-modal__content {
  max-height: 100vh;
  width: 100%;
  overflow: auto;
}

.product-media-modal__content > *:not(.active),
.product__media-list .deferred-media {
  display: none;
}

@media screen and (min-width: 750px) {
  .product-media-modal__content {
    padding: 2rem 11rem;
    padding-bottom: 2rem;
  }

  .product-media-modal__content > *:not(.active) {
    display: block;
  }

  .product__modal-opener:not(.product__modal-opener--image) {
    display: none;
  }

  .product__media-list .deferred-media {
    display: block;
  }
}

@media screen and (max-width: 749px) {
  .product--thumbnail .is-active .product__modal-opener:not(.product__modal-opener--image),
  .product--thumbnail_slider .is-active .product__modal-opener:not(.product__modal-opener--image) {
    display: none;
  }

  .product--thumbnail .is-active .deferred-media,
  .product--thumbnail_slider .is-active .deferred-media {
    display: block;
    width: 100%;
  }
}

.product-media-modal__content > * {
  display: block;
  height: auto;
  margin: auto;
}

.product-media-modal__content .media {
  background: none;
}

.product-media-modal__content .deferred-media {
  width: 100%;
}

@media screen and (min-width: 750px) {
  .product-media-modal__content > * {
    width: 100%;
  }

  .product-media-modal__content > * + * {
    margin-top: 2rem;
  }
}

@media screen and (min-width: 990px) {
  .product-media-modal__content > * + * {
    margin-top: 1.5rem;
  }

  .product-media-modal__content {
    padding-bottom: 1.5rem;
  }
}

.product-media-modal__toggle {
  background-color: rgb(var(--color-background));
  border: 0.1rem solid rgba(var(--color-foreground), 0.1);
  border-radius: 50%;
  color: rgba(var(--color-foreground), 0.55);
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  right: 2rem;
  padding: 1.2rem;
  position: fixed;
  z-index: 2;
  top: 2rem;
  width: 4rem;
}

.product-media-modal__toggle:hover {
  color: rgba(var(--color-foreground), 0.75);
}

.product-media-modal__toggle .icon {
  height: auto;
  margin: 0;
  width: 2.2rem;
}

@media screen and (min-width: 750px) {
  .product-media-modal__toggle {
    right: 5rem;
    top: 2.2rem;
  }
}

/* Thumbnail list */

.thumbnail-list {
  flex-wrap: nowrap;
  gap: 1rem;
}

.thumbnail-list__item {
  position: relative;
  flex: 0 0 auto;
  width: calc(25% - 0.75rem);
}

.thumbnail {
  display: block;
  width: 100%;
  padding: 0;
  border: 0.1rem solid transparent;
  border-radius: var(--media-radius);
  background: none;
  cursor: pointer;
  overflow: hidden;
  position: relative;
  aspect-ratio: 1;
}

.thumbnail img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.thumbnail[aria-current='true'] {
  border-color: rgb(var(--color-foreground));
}

.thumbnail:hover {
  border-color: rgba(var(--color-foreground), 0.5);
}

.thumbnail:focus-visible {
  outline: none;
  box-shadow:
    0 0 0 0.3rem rgb(var(--color-background)),
    0 0 0 0.5rem rgba(var(--color-foreground), 0.5);
}

.thumbnail__badge {
  position: absolute;
  left: 0.4rem;
  top: 0.4rem;
  height: 2rem;
  width: 2rem;
}

.thumbnail__badge .icon {
  width: 0.8rem;
  height: 0.8rem;
}

/* Quantity on product page */

.product-form__quantity {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  gap: 1rem;
}

.product-form__quantity .quantity {
  min-width: 10rem;
}
